build:
  image: olymk2/mhackspace
  pull: true
  environment:
    SERVER_ENVIRONMENT: DOCKER
  commands:
    - sleep 15
    - python3 -m "scaffold" "migrate --username=mhackspace --password=mhackspace --database=maidstone_hackspace --host=127.0.0.1"
#    - python3 -m "scaffold"
    - pytest

compose:
    database:
      image: olymk2/mariadb
      pull: true
#      volume:      
#         - /website/data/migrate:/docker-entrypoint-initdb.d
      environment:
          MYSQL_DATABASE: maidstone_hackspace
          MYSQL_USER: mhackspace
          MYSQL_PASSWORD: mhackspace
          MYSQL_ROOT_PASSWORD: mhackspace

notify:
  irc:
    prefix: build
    nick: mhackspace_drone
    channel: maidstone-hackspace
    server:
      host: irc.freenode.net
      port: 8001
